import request from '@/utils/request'



// 获取动态表头
export function getHeaderList(patentTypes,applicantTypes) {

  let params={};
  params.patentTypes=patentTypes;
  params.applicantTypes=applicantTypes;
  console.log('patentTypes:'+patentTypes+',applicantTypes:'+applicantTypes)
  return request({
    url: '/report/rzlApplicantRankingInfo/getHeader',
    method: 'get',
    params: params
  })
}
// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}



// 查询专利授权-申请人排名列表
export function listRzsApplicantRankingInfo(query) {
  return request({
    url: '/reportrzs/rzsApplicantRankingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利授权-申请人排名详细
export function getRzsApplicantRankingInfo(id) {
  return request({
    url: '/reportrzs/rzsApplicantRankingInfo/' + id,
    method: 'get'
  })
}

// 新增专利授权-申请人排名
export function addRzsApplicantRankingInfo(data) {
  return request({
    url: '/reportrzs/rzsApplicantRankingInfo',
    method: 'post',
    data: data
  })
}

// 修改专利授权-申请人排名
export function updateRzsApplicantRankingInfo(data) {
  return request({
    url: '/reportrzs/rzsApplicantRankingInfo',
    method: 'put',
    data: data
  })
}

// 删除专利授权-申请人排名
export function delRzsApplicantRankingInfo(id) {
  return request({
    url: '/reportrzs/rzsApplicantRankingInfo/' + id,
    method: 'delete'
  })
}
